## ros-indigo-mrpt-graphslam-2d 0.1.5

=== CMakeLists.txt ===
# Catkin User Guide: http://www.ros.org/doc/groovy/api/catkin/html/user_guide/user_guide.html
# Catkin CMake Standard: http://www.ros.org/doc/groovy/api/catkin/html/user_guide/standards.html
cmake_minimum_required(VERSION 2.8.3)
set(PROJECT_NAME mrpt_graphslam_2d)
project(${PROJECT_NAME})

#c++ 11 standard
set(CMAKE_CXX_FLAGS "-std=c++11 ${CMAKE_CXX_FLAGS}")
IF($ENV{VERBOSE})
	MESSAGE("CMAKE_CXX_FLAGS: ${CMAKE_CXX_FLAGS}")
endif()

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS
    roscpp
    rospy
    std_msgs
    sensor_msgs
    geometry_msgs
    nav_msgs
    mrpt_bridge
    mrpt_msgs
    tf
    )
## System dependencies are found with CMake's conventions
find_package(MRPT REQUIRED
    base
    gui
    obs
    maps
    opengl
    graphslam)

if (MRPT_VERSION VERSION_LESS 2.0.0)
	set(CMAKE_CXX_FLAGS "-Wno-deprecated-declarations ${CMAKE_CXX_FLAGS}")
endif()


################################################
## Declare ROS messages, services and actions ##
################################################

################################################
## Declare ROS dynamic reconfigure parameters ##
################################################

###################################
## catkin specific configuration ##
###################################

catkin_package(
    INCLUDE_DIRS include
    #LIBRARIES mrpt_graphslam_2d
    CATKIN_DEPENDS
    roscpp
    rospy
    std_msgs
    sensor_msgs
    geometry_msgs
    nav_msgs
    mrpt_bridge
    mrpt_msgs
    tf
    #  DEPENDS system_lib
    )

###########
## Build ##
###########

## Specify additional locations of header files
## Your package locations should be listed before other locations
include_directories(
	include
  ${catkin_INCLUDE_DIRS}
	)

IF(${MRPT_VERSION} LESS 1.5.0)

    set(WARN_MSG "${WARN_MSG}\"${PROJECT_NAME}\" requires MRPT version 1.5.0 or higher ")
    set(WARN_MSG "${WARN_MSG} - Current MRPT version: ${MRPT_VERSION}\n")
    set(WARN_MSG "${WARN_MSG}Ignoring target \"${PROJECT_NAME}\"...")
    MESSAGE(WARNING ${WARN_MSG})
else()

## Declare a C++ executable
add_executable(${PROJECT_NAME}_node
    src/mrpt_graphslam_2d_node.cpp
    src/CGraphSlamResources.cpp
    )

## Specify libraries to link a library or executable target against
target_link_libraries(${PROJECT_NAME}_node
    ${MRPT_LIBS}
    ${catkin_LIBRARIES}
    )

#############
## Install ##
#############

# Mark executables and/or libraries for installation
install(TARGETS mrpt_graphslam_2d_node
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

# Mark other files for installation (e.g. launch and bag files, etc.)
install(DIRECTORY
  launch
  demo
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

#############
## Testing ##
#############

endif()

=== debian/changelog ===
ros-indigo-mrpt-graphslam-2d (0.1.5-0trusty) trusty; urgency=high

  * mrpt_graphslam_2d: Correct syntax in README file
  * mrpt_graphslam_2d: Complete the demo rviz, launch files
    Finish setting up the demos-related files.
    Setup a hierarchy of launchfiles with each each one delegating the
    corresponding tasks to the next one with the sr_graphslam.launch as the
    final link in this chain. This should make up for an easier maintenance
    of the whole setup later on.
  * Renamed demo bagfile
  * Be consistent with rviz, launchfile names
  * Readd demo_short_loop bag
  * mrpt_graphslam_2d: Add demo_gt launchfile for launching demo rosbag
  * Skip mrpt_graphslam_2d compilation if MRPT version < 1.5.0
  * mrpt_graphslam_2d: Add rviz file for complete single-robot SLAM experiment
  * mrpt_graphslam_2d: Use tf2 for all tf transformations.
    Commit also includes the following:
    - Introduction of the "anchor node", that is the frame that (a specific)
    robot trajectory starts from, which should also differ from the world
    frame in a multi-robot setup.
    - Odometry input messages are expected to be of type nav_msgs::Odometry,
    instead of the custom msg Pose2DStamped used so far
  * mrpt_graphslam_2d: Make changes to graphslam.launch file
  * mrpt_graphslam_2d: Add to the launchfiles
  * Contributors: Nikos Koukis

 -- Nikos Koukis <nickkouk@gmail.com>  Thu, 17 Nov 2016 23:00:00 -0000

ros-indigo-mrpt-graphslam-2d (0.1.4-0trusty) trusty; urgency=high

  * Add install targets to CMake.
  * mrpt_graphslam_2d: Init MR-SLAM configuration
    Commit adds boilerplate code for:
    - Launchfile with nested topic and TF groups for manipulating more
    robotic agents in a consistent manner
    - New .rviz file for MR-SLAM
  * mrpt_graphslam_2d: queue_size as a private member
  * mrpt_graphslam_2d: Cleanup CMakeLists file, add catkin_INCLUDE_DIRS
  * Add demo workspace picture
  * mrpt_graphslam_2d: Make changes to README instructions and app launchfiles
  * mrpt_graphslam_2d: Initialize demo folder, Modify README
  * mrpt_graphslam_2d: Add to the feedback results
  * mrpt_graphslam_2d: Initialize feedback topics
    Provide feedback information that can be accessed via ROS Topics. These
    utilize the CGraphslamEngine API and include the following:
    - Latest robot pose
    - Estimated path trajectory
  * mprt_graphslam_2d: Use m_ prefix for class private vars
  * mrpt_graphslam_2d: Save result files after execution
  * Add README file.
  * mrpt_graphslam_2d:Add launchfile, configfile
  * mrpt_graphslam_2d: Initialize ROS wrapper for mrpt-graphslam
    Commit includes boilerplate code for running graphSLAM using the
    mrpt-graphslam library.
    The following should be noted:
    - mrpt_graphslam_2d is heavily based on the native MRPT
    graphslam-engine_app application.
    - graphslam-engine_app command line arguments correspond to parameters
    in the /graphslam_engine namespace of the ROS parameter server and can
    be set either by an external launchfile or by dirctly by the user.
  * Contributors: Logrus, Nikos Koukis

 -- Nikos Koukis <nickkouk@gmail.com>  Sat, 05 Nov 2016 23:00:00 -0000

ros-indigo-mrpt-graphslam-2d (0.1.3-0trusty) trusty; urgency=high



 -- Nikos Koukis <nickkouk@gmail.com>  Mon, 26 Sep 2016 22:00:00 -0000

ros-indigo-mrpt-graphslam-2d (0.1.2-0trusty) trusty; urgency=high



 -- Nikos Koukis <nickkouk@gmail.com>  Fri, 23 Sep 2016 22:00:00 -0000

ros-indigo-mrpt-graphslam-2d (0.1.1-0trusty) trusty; urgency=high



 -- Nikos Koukis <nickkouk@gmail.com>  Sun, 21 Aug 2016 22:00:00 -0000

=== debian/control ===
Source: ros-indigo-mrpt-graphslam-2d
Section: misc
Priority: extra
Maintainer: Nikos Koukis <nickkouk@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libmrpt-dev, ros-indigo-catkin, ros-indigo-geometry-msgs, ros-indigo-mrpt-bridge, ros-indigo-mrpt-msgs, ros-indigo-nav-msgs, ros-indigo-roscpp, ros-indigo-rospy, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-tf
Homepage: http://www.mrpt.org/
Standards-Version: 3.9.2

Package: ros-indigo-mrpt-graphslam-2d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libmrpt-dev, ros-indigo-geometry-msgs, ros-indigo-mrpt-bridge, ros-indigo-mrpt-msgs, ros-indigo-nav-msgs, ros-indigo-roscpp, ros-indigo-rospy, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-tf
Description: Implement graphSLAM using the mrpt-graphslam library, in an online fashion by directly reading measurements off ROS Topics.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-mrpt-graphslam-2d//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
